=== debian/changelog ===
linuxcnc (1:2.9.4-2ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:05 +0200

linuxcnc (1:2.9.4-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2104237).
    Remaining changes:
    - d/patches: Remove upstream definition of _FORTIFY_SOURCE (LP #2104012)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 19 Jun 2025 11:51:20 +0200

linuxcnc (1:2.9.4-2) unstable; urgency=medium

  * Team upload.

  * Adding build dependency on pyqt5.qtweb{engine,kit} to avoid build
    failures on, as kindly addressed by Adrian <Bunk>. (Closes: #1100882)
  * Re-applied Petter's change to address usrmerge, kindly pointed out
    by Michael <Biebl>. (Closes: #1101346, #1073692)
  * Bumped policy to 4.7.2.
  * Now truly added Andy to Uploaders.

 -- Steffen Moeller <moeller@debian.org>  Mon, 14 Apr 2025 00:10:01 +0200

linuxcnc (1:2.9.4-1ubuntu1) plucky; urgency=medium

  * d/patches: Remove upstream definition of _FORTIFY_SOURCE (LP: #2104012)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 24 Mar 2025 19:18:59 +0530

linuxcnc (1:2.9.4-1) unstable; urgency=medium

  * Team upload.

  * New upstream version. (Closes: #1080668)
  * Added Andy to Uploaders.
  * Beautification as instructed by lintian
    - Added debian/format (quilt).
    - Removed overrides for files no longer in archive.

 -- Steffen Moeller <moeller@debian.org>  Sat, 15 Mar 2025 21:05:57 +0100

linuxcnc (1:2.9.4) UNRELEASED; urgency=medium

  * Merge pull request #3283 from Sigma1912/patch-2
  * Gmoccapy: fix bugs caused by GStat missing changes in interpreter mode
  * gmoccapy: expand G-code editor in edit mode
  * gmoccapy: revert "remember position of hbox2 (GtkPaned)"
  * Merge pull request #3269 from hansu/gmoccapy-3-4-9
  * gmoccapy_3_4_9: set version number and update release notes
  * gmoccapy: ensure usage of lowercase for settings in pref file (#3181)
  * gmoccapy: get offset names directly from offsetpage-widget
  * offsetpage-widget: don't translate column 0
  * gmoccapy: revert "added Gtk.Paned for upper main area"
  * gmoccapy: fix wrong states of spindle button images after program abort
  * Follow symlinks in config dir
  * Merge pull request #3259 from BsAtHome/backport-debian_sid-include
  * Necessary include for gettimeofday() in debian:sid.
  * Merge pull request #3251 from Sigma1912/patch-1
  * Add clearer info on ini entries containing lowercase chars
  * Update m-code.adoc - typo exection -> execution
  * Merge pull request #3247 from Sigma1912/patch-1
  * gmoccapy.adoc: correct INI section name [MACROS]
  * Disable "override limits" at the end of the jog. This fixes the issue that the override was not cleared in teleop (homed) mode Issue #2482
  * Doc: User Defined Command, add note on exit codes != 0
  * gmoccapy: update release notes
  * docs: fix list in building-linuxcnc.adoc
  * Typos in carousel.comp
  * Merge pull request #3227 from BsAtHome/backport_2.9_3200-3202
  * Merge pull request #3226 from BsAtHome/backport_2.9_fix-hm2_spi
  * Backport fix hm2_spi driver. This was discovered in master and fixed in PR #3225.
  * Backport fix superfluous NULL check to 2.9 branch (issue #3202).
  * Backport fix invalid printf format to 2.9 branch (issue #3200).
  * Merge pull request #3212 from BsAtHome/hm2_spix-backport-2.9
  * Add missing include to fix checks.
  * Backport the hm2_spix driver for Raspberry Pi 3, 4 and 5 to the 2.9 branch.
  * qtvcp -cam align panel: fix setting x and y scaling
  * gmoccapy: further corrections of sample INI-file regarding really used values
  * docs: update gmoccapy docs regarding INI values
  * halshow: fix error on right click "Set to .."
  * docs: little typo in gstat.adoc
  * gmoccapy: move spaces out of translatable strings
  * Fix "Change to raw strings to fix Python SyntaxWarning" (2)
  * Merge pull request #3179 from hansu/issue-3175
  * Fix "Change to raw strings to fix Python SyntaxWarning"
  * docs: gmoccapy - fix order of settings section according to actual order
  * Merge pull request #3172 from havardAasen/fix-python-syntax-warning
  * Fix deprecated locale.format() -> locale.format_string()
  * Update regex
  * Change to raw strings to fix Python SyntaxWarning
  * docs: improve "HAL Component Generator" doc page (halcompile)
  * Merge pull request #3158 from petterreinholdtsen/bug-debian-1080668-python3-setuptools
  * Dropped use of depricated python3-setuptools / distutils.
  * Merge pull request #3159 from petterreinholdtsen/2.9-upstream-ax-python
  * Fetched latest ax_python.m4 and ax_python_devel.m4 from upstream.
  * Revert "Remove remaining use of deprecated distutils."
  * Revert "Distutils, fix error in previous fix"
  * Distutils, fix error in previous fix Addresses #1080668
  * Remove remaining use of deprecated distutils. Addresses #1080668
  * QTVCP: Typo in error message
  * Merge pull request #3137 from petterreinholdtsen/2.9-avoid-bashism-configure-ac
  * Avoid bashism in configure.ac
  * qtvcp -test_panel: remove distutils library requirement
  * Merge pull request #3048 from hansu/gmoccapy-gcmc-config
  * qtvcp -action_buttons: fix momentary buttons status indicator
  * Merge pull request #3130 from hansu/gmoccapy-deprecation-warning-2
  * gmoccapy: fix deprecation warning "Gtk.StyleContext.get_background_color is deprecated"
  * Merge pull request #3115 from zz912/patch-30
  * Merge pull request #3125 from hansu/gmoccapy-deprecation-warning
  * gscreen: remove deprecated use of GtkLabel constructor
  * gmoccapy: remove deprecated use of GtkLabel constructor
  * Merge pull request #3118 from zz912/patch-31
  * lathe_macros.ini - enable postgui.hal
  * Replace non-exist toolchange.py by stdglue.py
  * Merge pull request #3106 from LinuxCNC/andypugh/gscreen
  * gscreen: Fix Spartan sim homing
  * gscreen: Further tidying up to clear up runtime errors and startup verbosity

