=== debian/tests/control ===
Tests: linuxcnc-test
Depends: linuxcnc-uspace
Restrictions: allow-stderr

Tests: rs274-test
Depends: linuxcnc-uspace
Restrictions: flaky
