=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: linuxcnc
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
+Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
 Uploaders:
     Jeff Epler <jepler@gmail.com>,
     Sebastian Kuzminsky <seb@highlab.com>,
-    Andy Pugh <bodgesoc@gmail.com>
+    Andy Pugh <andy@bodgesoc.org>
 Build-Depends:
     debhelper-compat (= 13),
     dh-python,
@@ -41,8 +40,8 @@
     psmisc,
     python3,
     python3-dev,
+    python3-tk,
     python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit,
-    python3-tk,
     python3-xlib,
     tcl8.6-dev,
     tclx,
