=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%linuxcnc-$1.tar.gz%" \
   https://github.com/LinuxCNC/linuxcnc/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
